struct Globals
{
    float4x4 ViewProjection;
    float4x4 View;
    float4x4 Projection;
    float3 CameraPosition;

    float3 AmbientColor;
    float3 Lamp0Color;
    float3 Lamp0Dir;
    float3 Lamp1Color;
    float3 Lamp1Dir;

    float3 FogColor;
    float4 FogParams;

    float4 LightBorder;
    float4 LightConfig0;
    float4 LightConfig1;
    float4 LightConfig2;
    float4 LightConfig3;

    float3 FadeDistance;
    float2 OutlineBrightness;
};

uniform Globals G: register(c0);
